NSI_IMAGE_TAG=hazelnut
TRANSFER_IMAGE_TAG=hazelnut
AUTH_IMAGE_TAG=hazelnut
DBUP_IMAGE_TAG=hazelnut

###### Keycloak services ######################
# ---------------------------------------- Postgres
KEYCLOAK_DB=keycloak
KEYCLOAK_DB_USER=keycloak
KEYCLOAK_DB_PASSWORD=password
KEYCLOAK_DB_PORT=5432
# ---------------------------------------- Keycloak
KEYCLOAK_USER=admin
KEYCLOAK_PASSWORD=password
KEYCLOAK_PORT=8080

###### Dotnet services ######################
# ---------------------------------------- SQL server config
DB_SA_USER=sa
DB_SA_PASSWORD=My-Mssql-Pwd-123
MARIADB_ROOT_USER=root
MARIADB_ROOT_PASSWORD=My-MariaDb-Pwd-123
# ---------------------------------------- Services ports
NSI_DESIGN_PORT=80
NSI_RELEASE_PORT=81
TRANSFER_PORT=93
AUTH_PORT=94
SQL_PORT=1434
MARIADB_PORT=3306
# ---------------------------------------- API version
TRANSFER_API_VERSION=1.2
AUTHZ_API_VERSION=1.1
# ---------------------------------------- Database server hosts
SQL_SERVER_HOST=db
MARIADB_SERVER_HOST=mariadb
# ---------------------------------------- Design dataspace dbs
STRUCT_DB_DESIGN=DesignStructDb
STRUCT_DB_DESIGN_USER=testLoginDesignStruct
STRUCT_DB_DESIGN_PWD=testLogin(!)Password
DATA_DB_DESIGN=DesignDataDb
DATA_DB_DESIGN_USER=testLoginDesignData
DATA_DB_DESIGN_PWD=testLogin(!)Password
# ---------------------------------------- Release dataspace dbs
STRUCT_DB_RELEASE=ReleaseStructDb
STRUCT_DB_RELEASE_USER=testLoginReleaseStruct
STRUCT_DB_RELEASE_PWD=testLogin(!)Password
DATA_DB_RELEASE=ReleaseDataDb
DATA_DB_RELEASE_USER=testLoginReleaseData
DATA_DB_RELEASE_PWD=testLogin(!)Password
# ---------------------------------------- Common db
COMMON_DB=CommonDb
COMMON_DB_USER=testLoginCommon
COMMON_DB_PWD=testLogin(!)Password
COMMON_DB_RO_USER=testLoginCommonRO
COMMON_DB_RO_PWD=testLogin(!)Password
# ---------------------------------------- SMTP service config
SMTP_HOST=
SMTP_PORT=587
SMTP_TLS=false
SMTP_USER=
SMTP_PASSWORD=
# ---------------------------------------- Authentication
# login/password for realm [demo], application [stat-suite] is test-admin/admin, it's hardcoded in keycloak/demo-realm.json
AUTH_ENABLED=true
AUTH_PROVIDER=keycloak
KEYCLOAK_HOST=localhost
KEYCLOAK_REALM=demo
KEYCLOAK_CLIENT_ID=stat-suite

###### JavaScript services ######################
JS_RELEASE_TAG=causality
# ---------------------------------------- Contact
CAPTCHA_SECRET_KEY=
CAPTCHA_SITE_KEY=
CONTACT_FROM='"contact" <contact@siscc.org>'
CONTACT_TO=
# ---------------------------------------- Ports
DLM_PORT=7000
DE_PORT=7001
VIEWER_PORT=7002
SHARE_PORT=3005
SFS_PORT=3004
SOLR_PORT=8983
MONGO_PORT=27017
SUS_PORT=6008
# ---------------------------------------- Services
PROTOCOL=http
HOST=localhost
DEFAULT_TENANT=demo
API_KEY_SFS=secret
API_KEY_SHARE=secret
# ---------------------------------------- Analytics
GA_TOKEN=
GTM_TOKEN_DE=
GTM_TOKEN_DV=
SITE_ENV="demo"
# ---------------------------------------- Webcrawler
ROBOTS_POLICY_DLM="no index, no follow"
ROBOTS_POLICY_DE="all"
ROBOTS_POLICY_DV="all"
# ---------------------------------------- Share
SHARE_MAIL_FROM='"share" <share@siscc.org>'
SECRET_KEY_SHARE=secret
